## libblkmaker 0.3.2

=== debian/changelog ===
libblkmaker (0.3.2-1) unstable; urgency=low

  * New upstream release
    - dropped "install_header.patch".
  * Standards to version 3.9.5.
  * "debian/rules" don't look for soname in "configure.ac" any more.
  * "debian/watch" is now working, thanks to Bart Martens.

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 27 Nov 2013 17:14:41 +1100

libblkmaker (0.3.0-1) unstable; urgency=low

  * Initial release (Closes: #706272).

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 21 Jun 2013 13:21:40 +1000
