=== debian/control ===
Source: libblkmaker
Section: libs
Priority: optional
Maintainer: Debian Bitcoin Packaging Team <pkg-bitcoin-devel@lists.alioth.debian.org>
Uploaders: Dmitry Smirnov <onlyjob@debian.org>
Build-Depends: debhelper (>= 9), dh-autoreconf, pkg-config, perl
              ,libjansson-dev
Homepage: https://gitorious.org/bitcoin/libblkmaker
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-bitcoin/libblkmaker.git
Vcs-Git: git://anonscm.debian.org/pkg-bitcoin/libblkmaker.git
Standards-Version: 3.9.5

Package: libblkmaker-0.1-0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: implementation of getblocktemplate protocol
 libblkmaker is a C implementation of getblocktemplate as per Bitcoin
 Improvement Proposal 22 (BIP 22).

Package: libblkmaker-0.1-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, ${plib} (= ${binary:Version}),
Description: C implementation of getblocktemplate protocol - development files
 libblkmaker is a C implementation of getblocktemplate as per Bitcoin
 Improvement Proposal 22 (BIP 22).
 .
 This package provides development files.

#Package: libblkmaker-0.1-dbg
#Section: debug
#Priority: extra
#Architecture: any
#Multi-Arch: same
#Depends: ${misc:Depends}, ${plib} (= ${binary:Version})
#Description: C implementation of getblocktemplate protocol - debugging files
# libblkmaker is a C implementation of getblocktemplate as per Bitcoin
# Improvement Proposal 22 (BIP 22).
# .
# This package provides debugging information.
