=== debian/watch ===
# uscan(1) configuration file.
version=3

## Thanks to Bart Martens <bartm@debian.org> for this:
opts=filenamemangle=s/\S*download=//g \
 http://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=gitorious/bitcoin/libblkmaker \
 .*=libblkmaker(?:[_\-]v?|)(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)
