## libblkmaker 0.4.0

=== debian/changelog ===
libblkmaker (0.4.0-1) unstable; urgency=low

  * New upstream release.
  * Verbose build using "--disable-silent-rules".
  * Added "debian/gbp.conf".

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 07 Jun 2014 15:10:34 +1000
