=== debian/rules ===
--- 
+++ 
@@ -25,6 +25,9 @@
 
 override_dh_auto_install:
 	dh_auto_install --destdir=$(CURDIR)/debian/tmp
+
+override_dh_auto_configure:
+	dh_auto_configure -- --disable-silent-rules
 
 override_dh_install:
 	$(info I: library-name=$(plib))
