## libblkmaker 0.5.1

=== debian/changelog ===
libblkmaker (0.5.1-2) unstable; urgency=low

  * Upload to unstable.
  * Project moved to GitHub: updated Homepage, "debian/watch".

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 23 May 2015 17:08:27 +1000

libblkmaker (0.5.1-1) experimental; urgency=low

  * New upstream release [February 2015].
  * Standards-Version: 3.9.6.
  * Build-Depends: +libbase58-dev
  * rules: extract SO version from "configure.ac".
  * rules: cleanup (removed override_dh_builddeb and get-orig-source).

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 06 Apr 2015 12:33:49 +1000
