## libblkmaker 0.5.2

=== debian/changelog ===
libblkmaker (0.5.2-1) unstable; urgency=medium

  * New upstream release [November 2015].

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 16 Nov 2015 10:38:36 +1100
