=== debian/control ===
--- 
+++ 
@@ -4,13 +4,14 @@
 Maintainer: Debian Bitcoin Packaging Team <pkg-bitcoin-devel@lists.alioth.debian.org>
 Uploaders: Dmitry Smirnov <onlyjob@debian.org>
 Build-Depends: debhelper (>= 9), dh-autoreconf, pkg-config, perl
+              ,libbase58-dev
               ,libjansson-dev
-Homepage: https://gitorious.org/bitcoin/libblkmaker
+Standards-Version: 3.9.6
+Homepage: https://github.com/bitcoin/libblkmaker
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-bitcoin/libblkmaker.git
 Vcs-Git: git://anonscm.debian.org/pkg-bitcoin/libblkmaker.git
-Standards-Version: 3.9.5
 
-Package: libblkmaker-0.1-0
+Package: libblkmaker-0.1-6
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
