## libblkmaker 0.5.3

=== debian/changelog ===
libblkmaker (0.5.3-1) unstable; urgency=medium

  * New upstream release.
  * Added "Build-Depends-Package" field to .symbols
  * Standards-Version: 3.9.8.
  * Upgraded Vcs-Browser URL.
  * Build with all hardening.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 17 Apr 2016 20:18:28 +1000
