=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
 Build-Depends: debhelper (>= 9), dh-autoreconf, pkg-config, perl
               ,libbase58-dev
               ,libjansson-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://github.com/bitcoin/libblkmaker
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-bitcoin/libblkmaker.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-bitcoin/libblkmaker.git
 Vcs-Git: git://anonscm.debian.org/pkg-bitcoin/libblkmaker.git
 
 Package: libblkmaker-0.1-6
@@ -29,16 +29,3 @@
  Improvement Proposal 22 (BIP 22).
  .
  This package provides development files.
-
-#Package: libblkmaker-0.1-dbg
-#Section: debug
-#Priority: extra
-#Architecture: any
-#Multi-Arch: same
-#Depends: ${misc:Depends}, ${plib} (= ${binary:Version})
-#Description: C implementation of getblocktemplate protocol - debugging files
-# libblkmaker is a C implementation of getblocktemplate as per Bitcoin
-# Improvement Proposal 22 (BIP 22).
-# .
-# This package provides debugging information.
-
