=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,8 @@
 
 API=-$(shell perl -ne 'print $$1 if m{LIBBLKMAKER_API_VERSION\],\s*\[([\d\.]+)\]}' configure.ac)
 SO=-$(shell perl -ne 'print $$1 if m{LIBBLKMAKER_SO_VERSION\],\s*\[([\d]+)}' configure.ac)
-plib=$(PKG)$(API)$(SO)
+#plib=$(PKG)$(API)$(SO)
+plib=$(PKG)$(API)-6
 pdev=$(PKG)$(API)-dev
 pdbg=$(PKG)$(API)-dbg
 
@@ -19,6 +20,7 @@
 # Make the linker work a bit harder so dynamic loading can be done
 # faster: LDFLAGS += -Wl,-O1
 
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 export DEB_LDFLAGS_MAINT_APPEND=-Wl,-z,defs -Wl,-O1
 
 %:
@@ -49,9 +51,3 @@
 
 override_dh_gencontrol:
 	dh_gencontrol -v -- -Vplib=$(plib)
-
-# gracefully handle stripping if -dbg package (un-)commented in debian/control
-override_dh_strip:
-	[ -d "$(CURDIR)/debian/$(pdbg)" ] \
-        && dh_strip --dbg-package=$(pdbg) \
-        || dh_strip
